Package org.opensaml.xmlsec.encryption.impl

# Class OriginatorKeyInfoUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.xmlsec.signature.impl.AbstractXMLSignatureUnmarshaller
org.opensaml.xmlsec.signature.impl.KeyInfoUnmarshaller
org.opensaml.xmlsec.encryption.impl.OriginatorKeyInfoUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

public class OriginatorKeyInfoUnmarshaller extends KeyInfoUnmarshaller
A thread-safe Unmarshaller for `OriginatorKeyInfo` objects.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`OriginatorKeyInfoUnmarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.xmlsec.signature.impl.KeyInfoUnmarshaller

`processAttribute, processChildElement`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OriginatorKeyInfoUnmarshaller

public OriginatorKeyInfoUnmarshaller()